# statusbar_gui.cpp File Reference

The GUI for the bottom status bar. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "date_func.h"`
`#include "gfx_func.h"`
`#include "news_func.h"`
`#include "company_func.h"`
`#include "string_func.h"`
`#include "strings_func.h"`
`#include "company_base.h"`
`#include "tilehighlight_func.h"`
`#include "news_gui.h"`
`#include "company_gui.h"`
`#include "window_gui.h"`
`#include "variables.h"`
`#include "window_func.h"`
`#include "statusbar_gui.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Data Structures

struct | StatusBarWindow

## Enumerations

enum | StatusbarWidget { SBW_LEFT, SBW_MIDDLE, SBW_RIGHT }

## Functions

static bool | DrawScrollingStatusText (const NewsItem *ni, int scroll_pos, int left, int right, int top, int bottom)
bool | IsNewsTickerShown ()
| Checks whether the news ticker is currently being used.
void | ShowStatusBar ()

## Variables

static const NWidgetPart | _nested_main_status_widgets []
static const WindowDesc | _main_status_desc (WDP_MANUAL, 640, 12, WC_STATUS_BAR, WC_NONE, WDF_UNCLICK_BUTTONS|WDF_NO_FOCUS, _nested_main_status_widgets, lengthof(_nested_main_status_widgets))

## Detailed Description

The GUI for the bottom status bar.

Definition in file statusbar_gui.cpp.

## Enumeration Type Documentation

enum StatusbarWidget

Enumerator:

  SBW_LEFT | left part of the statusbar; date is shown there
  SBW_MIDDLE | middle part; current news or company name or *** SAVING *** or *** PAUSED ***
  SBW_RIGHT | right part; bank balance

Definition at line 74 of file statusbar_gui.cpp.

## Variable Documentation

const NWidgetPart _nested_main_status_widgets[]`[static]`

Initial value:

     {
      NWidget(NWID_HORIZONTAL),
        NWidget(WWT_PANEL, COLOUR_GREY, SBW_LEFT), SetMinimalSize(140, 12), EndContainer(),
        NWidget(WWT_PUSHBTN, COLOUR_GREY, SBW_MIDDLE), SetMinimalSize(40, 12), SetDataTip(0x0, STR_STATUSBAR_TOOLTIP_SHOW_LAST_NEWS), SetResize(1, 0),
        NWidget(WWT_PUSHBTN, COLOUR_GREY, SBW_RIGHT), SetMinimalSize(140, 12),
      EndContainer(),
    }

Definition at line 229 of file statusbar_gui.cpp.